﻿using System.ComponentModel;
using System.Windows.Controls;

namespace TreeViewInDropDownButton
{
	public partial class MainPage : UserControl, INotifyPropertyChanged
	{
	    private DataItemCollection _treeNodes;
	    private DataItem _node;

	    public MainPage()
		{
			InitializeComponent();
	        DataContext = this;

            TreeNodes = new DataItemCollection
                            {
                                new DataItem
                                    {
                                        Text = "Item 1",
                                        Children = new DataItemCollection
                                                       {
                                                           new DataItem{Text ="item 1.1"},
                                                           new DataItem{Text ="item 1.2"}
                                                       }
                                    },
                                    new DataItem
                                    {
                                        Text = "Item 2",
                                        Children = new DataItemCollection
                                                       {
                                                           new DataItem{Text ="item 2.1"},
                                                           new DataItem{Text ="item 2.2"}
                                                       }
                                    }
                            };

            SelectedNode = new DataItem { Text = "item 2.1" };
		}

        public DataItemCollection TreeNodes
        {
            get { return _treeNodes; }
            set
            {
                _treeNodes = value;
                OnP("TreeNodes");
            }
        }

        public DataItem SelectedNode
        {
            get { return _node; }
            set
            {
                if (value == null) return;
                _node = value;
                OnP("SelectedNode");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnP(string p)
        {
            if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs(p));
        }
	}
}