﻿using System;
using System.Windows.Data;

namespace TreeViewInDropDownButton
{
	public class ObjectToFalseConverter : IValueConverter
	{
		WeakReference oldValue = new WeakReference(null);

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value != oldValue.Target || oldValue.Target == null)
			{
				oldValue.Target = value;
				return false;
			}
			return true;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			return oldValue.Target;
		}
	}
}